REST API - Knowledge
Get Knowledge Base Document
Get detailed information about a specific document in a knowledge base
GET
Get Knowledge Base Document By Id
Knowledge bases are replaced by the Company Brain. Knowledge bases in use move into brains automatically, and these calls keep working on a moved knowledge base for one release. For new content, use collections.
Path Parameters
Response
Example Request
Example Response
Notes
- The
raw_datafield contains the extracted text content of the document - Returns 404 if the document or knowledge base is not found
Response
Successful Response
Represents a document item within a Knowledge Base.
Attributes: kb_id (Optional[str]): KB identifier. id (str): Document unique identifier. document_url (str): URL of the document. raw_data (Optional[str]): Raw textual data of the document. local_env (Optional[bool]): Indicates if the document is in a local environment. Defaults to False.

